# Class CIM_BIOSFeature
extends CIM_SoftwareFeature

BIOSFeature represents the capabilities of the low-level software that is used to bring up and configure a Computer System.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_SoftwareFeature
|
+--CIM_BIOSFeature

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | BIOSFeature represents the capabilities of the low-level software that is used to bring up and configure a Computer System.
UMLPackagePath | string | CIM::Application::BIOS
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CharacteristicDescriptions | string[] |
ArrayType | string | Indexed
Description | string | An array of free-form strings providing more detailed explanations for any of the BIOS features indicated in the Characteristics array. Note, each entry of this array is related to the entry in the Characteristics array that is located at the same index.
MappingStrings | string | MIF.DMTF|BIOS Characteristic|004.4
ModelCorrespondence | string | CIM_BIOSFeature.Characteristics
Characteristics | uint16[] |
ArrayType | string | Indexed
Description | string | An array of integers that specify the features supported by the BIOS. For example, one can specify that PnP capabilities are provided (value=9) or that infrared devices are supported (21). Values specified in the enumeration are taken from both DMI and SMBIOS (the Type 0 structure, the BIOS Characteristics and BIOS Characteristics Extension Bytes attributes.
MappingStrings | string | MIF.DMTF|BIOS Characteristic|004.3
ModelCorrespondence | string | CIM_BIOSFeature.CharacteristicDescriptions
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 160

Values

string

Other, Unknown, Undefined, ISA Support, MCA Support, EISA Support, PCI Support, PCMCIA Support, PnP Support, APM Support, Upgradeable BIOS, BIOS Shadowing Allowed, VL VESA Support, ESCD Support, LS-120 Boot Support, ACPI Support, I2O Boot Support, USB Legacy Support, AGP Support, PC Card, IR, 1394, I2C, Smart Battery, ATAPI ZIP Drive Boot Support, 1394 Boot Support, Boot from CD, Selectable Boot, BIOS ROM is Socketed, Boot from PCMCIA, EDD Specification Support, PC-98

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
IdentifyingNumber | string | CIM_SoftwareFeature
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_SoftwareFeature
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProductName | string | CIM_SoftwareFeature
Status | string | CIM_ManagedSystemElement
Vendor | string | CIM_SoftwareFeature
Version | string | CIM_SoftwareFeature
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods